package jiaocaiziliao

import "shylinux.com/x/ice"

type userIssuer struct{ Table }

func init() { ice.TeamCtxCmd(userIssuer{}) }

type UserIssuerRole int

const (
	UserIssuerVisitor UserIssuerRole = iota
	UserIssuerCreator
	UserIssuerLeader
	UserIssuerWorker
	UserIssuerServer
)

var UserIssuerRoleList = map[UserIssuerRole]string{
	UserIssuerVisitor: "visitor",
	UserIssuerCreator: "creator",
	UserIssuerLeader:  "leader",
	UserIssuerWorker:  "worker",
	UserIssuerServer:  "server",
}

func (s UserIssuerRole) String() string { return UserIssuerRoleList[s] }
