package zaixianketang

import "shylinux.com/x/ice"

type userCourse struct{ Table }

func init() { ice.TeamCtxCmd(userCourse{}) }

type UserCourseRole int

const (
	UserCourseVisitor UserCourseRole = iota
	UserCourseCreator
	UserCourseLeader
	UserCourseWorker
	UserCourseServer
)

var UserCourseRoleList = map[UserCourseRole]string{
	UserCourseVisitor: "visitor",
	UserCourseCreator: "creator",
	UserCourseLeader:  "leader",
	UserCourseWorker:  "worker",
	UserCourseServer:  "server",
}

func (s UserCourseRole) String() string { return UserCourseRoleList[s] }
